{
  "schema_version": "1.4.0",
  "id": "GHSA-794g-g5w7-2c69",
  "modified": "2025-04-11T04:19:15Z",
  "published": "2022-05-17T01:29:36Z",
  "aliases": [
    "CVE-2013-7226"
  ],
  "details": "Integer overflow in the gdImageCrop function in ext/gd/gd.c in PHP 5.5.x before 5.5.9 allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via an imagecrop function call with a large x dimension value, leading to a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2013-7226"
    },
    {
      "type": "WEB",
      "url": "https://github.com/php/php-src/commit/2938329ce19cb8c4197dec146c3ec887c6f61d01"
    },
    {
      "type": "WEB",
      "url": "https://bugs.php.net/bug.php?id=66356"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1065108"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/91099"
    },
    {
      "type": "WEB",
      "url": "http://git.php.net/?p=php-src.git%3Ba=commit%3Bh=8f4a5373bb71590352fd934028d6dde5bc18530b"
    },
    {
      "type": "WEB",
      "url": "http://git.php.net/?p=php-src.git;a=commit;h=8f4a5373bb71590352fd934028d6dde5bc18530b"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/56829"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2014:027"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/ChangeLog-5.php"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/65533"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1029767"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2126-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-02-18T11:55:00Z"
  }
}